Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionFrame.StyleOptionType

    java.lang.Object
      java.lang.Enum<QStyleOptionFrame.StyleOptionType>
          com.trolltech.qt.gui.QStyleOptionFrame.StyleOptionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionFrame.StyleOptionType>

Enclosing class:
  QStyleOptionFrame

    public static enum QStyleOptionFrame.StyleOptionType

extends java.lang.Enum<QStyleOptionFrame.StyleOptionType>
implements QtEnumerator

This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.

The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles.

See Also:
  `StyleOptionVersion`

Enum Constant Summary
`Type` The type of style option provided (`SO_Frame` for this class).

Method Summary
`static QStyleOptionFrame.StyleOptionType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionFrame.StyleOptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionFrame.StyleOptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Type

    public static final QStyleOptionFrame.StyleOptionType Type

  The type of style option provided (`SO_Frame` for this class).

Method Detail

### values

    public static final QStyleOptionFrame.StyleOptionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionFrame.StyleOptionType c : QStyleOptionFrame.StyleOptionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionFrame.StyleOptionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionFrame.StyleOptionType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD